
package de.ivu.elect.presentation.gebietsbaum.form;

import javax.annotation.Nullable;

import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;
import de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty;

/**
 * NOTE, dass dieser Wert immer 'readonly' ist, da er immer BERECHNET wird!
 */
public class AnzahlWahlberechtigteGesamtProperty extends AbstractLongProperty {

  private final Wahldurchfuehrungsgebiet wahldurchfuehrungsgebiet;

  public AnzahlWahlberechtigteGesamtProperty(Wahldurchfuehrungsgebiet wahldurchfuehrungsgebiet) {
    super();

    this.wahldurchfuehrungsgebiet = wahldurchfuehrungsgebiet;
  }

  @Override
  public boolean getDefaultRequired() {
    return false;
  }

  @Override
  public boolean isReadonly() {
    return true;
  }

  @Nullable
  @Override
  public Long getValue() {
    return wahldurchfuehrungsgebiet.getAnzahlWahlberechtigterGesamtA1A2A3();
  }

  @Override
  public void setValue(Long value) {
    // Readonly!
  }

  @Override
  public String getDefaultLabel() {
    return "";
  }
}
